1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-02-23 23:56:08 +02:00
Files
coreutils/tests/misc/fmt
Paul Eggert f77576a775 Port to Solaris 8 perl, which does not support "use warnings;".
* tests/dd/skip-seek: Skip test if "use warnings;" fails.
* tests/du/files0-from: Likewise.
* tests/misc/base64: Likewise.
* tests/misc/basename: Likewise.
* tests/misc/cut: Likewise.
* tests/misc/date: Likewise.
* tests/misc/dircolors: Likewise.
* tests/misc/dirname: Likewise.
* tests/misc/expand: Likewise.
* tests/misc/expr: Likewise.
* tests/misc/factor: Likewise.
* tests/misc/fmt: Likewise.
* tests/misc/fold: Likewise.
* tests/misc/head-elide-tail: Likewise.
* tests/misc/ls-misc: Likewise.
* tests/misc/md5sum: Likewise.
* tests/misc/md5sum-newline: Likewise.
* tests/misc/mktemp: Likewise.
* tests/misc/od: Likewise.
* tests/misc/paste-no-nl: Likewise.
* tests/misc/pr: Likewise.
* tests/misc/seq: Likewise.
* tests/misc/sha1sum: Likewise.
* tests/misc/sha1sum-vec: Likewise.
* tests/misc/sha224sum: Likewise.
* tests/misc/sha256sum: Likewise.
* tests/misc/sha384sum: Likewise.
* tests/misc/sha512sum: Likewise.
* tests/misc/sort-merge: Likewise.
* tests/misc/stat-printf: Likewise.
* tests/misc/sum: Likewise.
* tests/misc/test-diag: Likewise.
* tests/misc/tsort: Likewise.
* tests/misc/unexpand: Likewise.
* tests/misc/wc-files0-from: Likewise.
* tests/misc/xstrtol: Likewise.
* tests/mv/i-1: Likewise.
* tests/rm/empty-name: Likewise.
* tests/rm/unreadable: Likewise.
2007-11-16 09:35:54 +01:00

86 lines
2.9 KiB
Perl
Executable File

#!/bin/sh
# -*- perl -*-
# Basic tests for "fmt".
# Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006, 2007 Free Software
# Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
: ${PERL=perl}
: ${srcdir=.}
$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
}
# Export this to avoid hassles when run in a UTF-8 locale,
# since we use 8-bit characters below, and those values are
# interpolated into strings (to perform substitution) in Coreutils.pm.
LC_ALL=C
export LC_ALL
me=`echo $0|sed 's,.*/,,'`
exec $PERL -w -I$srcdir/.. -MCoreutils -M"CuTmpdir qw($me)" -- - <<\EOF
require 5.003;
use strict;
(my $program_name = $0) =~ s|.*/||;
my @Tests =
(
['8-bit-pfx', qw (-p 'ç'),
{IN=> "ça\nçb\n"},
{OUT=>"ça b\n"}],
['wide-1', '-w 32768',
{ERR => "fmt: invalid width: `32768'\n"}, {EXIT => 1}],
['wide-2', '-w 2147483647',
{ERR => "fmt: invalid width: `2147483647'\n"}, {EXIT => 1}],
['bad-suffix', '-72x', {IN=> ''},
{ERR => "fmt: invalid width: `72x'\n"}, {EXIT => 1}],
['no-file', 'no-such-file',
{ERR => "fmt: cannot open `no-such-file' for reading:"
. " No such file or directory\n"}, {EXIT => 1}],
['obs-1', '-c -72',
{ERR => "fmt: invalid option -- 7; -WIDTH is recognized only when it"
. " is the first\noption; use -w N instead\n"
. "Try `fmt --help' for more information.\n" }, {EXIT => 1}],
# With --prefix=P, do not remove leading space on lines without the prefix.
['pfx-1', qw (-p '>'),
{IN=> " 1\n 2\n\t3\n\t\t4\n> quoted\n> text\n"},
{OUT=> " 1\n 2\n\t3\n\t\t4\n> quoted text\n"}],
# Don't remove prefix from a prefix-only line.
['pfx-only', qw (-p '>'),
{IN=> ">\n"},
{OUT=> ">\n"}],
# With a multi-byte prefix, say, "foo", don't empty a line that
# starts with a strict prefix (e.g. "fo") of that prefix.
# With fmt from coreutils-6.7, it would mistakenly output an empty line.
['pfx-of-pfx', qw (-p 'foo'),
{IN=> "fo\n"},
{OUT=> "fo\n"}],
);
my $save_temps = $ENV{DEBUG};
my $verbose = $ENV{VERBOSE};
my $prog = 'fmt';
my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
exit $fail;
EOF